export default Text;
declare class Text extends Mesh {
    constructor(text: any);
    geometry: TextGeometry;
    material: MeshBasicMaterial;
    applyQuaternion(quaternion: import("three").Quaternion): Text;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Text;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Text;
    rotateX(angle: number): Text;
    rotateY(angle: number): Text;
    rotateZ(angle: number): Text;
    translateOnAxis(axis: import("three").Vector3, distance: number): Text;
    translateX(distance: number): Text;
    translateY(distance: number): Text;
    translateZ(distance: number): Text;
    add(...object: import("three").Object3D[]): Text;
    remove(...object: import("three").Object3D[]): Text;
    attach(object: import("three").Object3D): Text;
    clone(recursive?: boolean | undefined): Text;
    copy(source: Text, recursive?: boolean | undefined): Text;
}
import Mesh from "./Mesh";
import { TextGeometry } from "three/src/geometries/TextGeometry";
import { MeshBasicMaterial } from "three/src/materials/MeshBasicMaterial";
